package ${domain}.action.ajax.wsys;

import org.springframework.beans.factory.annotation.Autowired;
import ${domain}.frame.auth.LocalData;
import ${domain}.module.wsys.mgr.RoleResManager;
import ${domain}.module.wsys.req.RoleResCheckRequest;
import ${domain}.module.wsys.req.RoleResCreateRequest;
import ${domain}.module.wsys.req.RoleResDeleteRequest;
import ${domain}.module.wsys.req.RoleResFindRequest;
import ${domain}.module.wsys.req.RoleResUpdateRequest;
import ${domain}.module.wsys.rsp.RoleResCheckResponse;
import ${domain}.module.wsys.rsp.RoleResCreateResponse;
import ${domain}.module.wsys.rsp.RoleResDeleteResponse;
import ${domain}.module.wsys.rsp.RoleResFindResponse;
import ${domain}.module.wsys.rsp.RoleResUpdateResponse;

public class RoleResAjax {

    @Autowired
    private RoleResManager roleResManager;

    public RoleResCreateResponse create(RoleResCreateRequest request) {
        return roleResManager.create(request, LocalData.getToken());
    }

    public RoleResDeleteResponse delete(RoleResDeleteRequest request) {
        return roleResManager.delete(request, LocalData.getToken());
    }

    public RoleResUpdateResponse update(RoleResUpdateRequest request) {
        return roleResManager.update(request, LocalData.getToken());
    }

    public RoleResFindResponse find(RoleResFindRequest request) {
        return roleResManager.find(request, LocalData.getToken());
    }

    public RoleResCheckResponse check(RoleResCheckRequest request) {
        return roleResManager.check(request, LocalData.getToken());
    }
}
